Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.util.property
Class PropertyEvent

    java.lang.Object
      java.util.EventObject
          org.jboss.util.property.PropertyEvent

All Implemented Interfaces:
  Serializable

public class PropertyEvent
extends EventObject

A property event.

Version:
  `$Revision: 1.1 $`
Author:
  Jason Dillon
See Also:
  Serialized Form

Field Summary
`protected String` | `name` Property name.
`protected String` | `value` Property value.

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`PropertyEvent(Object source, String name)` Construct a new `PropertyEvent`.
`PropertyEvent(Object source, String name, String value)` Construct a new `PropertyEvent`.

Method Summary
`String` | `getPropertyName()` Get the name of the property that is effected.
`String` | `getPropertyValue()` Get the value of the property that is effected.
`String` | `toString()` Return a string representation of this event.

Methods inherited from class java.util.EventObject
`getSource`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### name

    protected final String name

  Property name.

### value

    protected final String value

  Property value.

Constructor Detail

### PropertyEvent

    public PropertyEvent(Object source,
                         String name,
                         String value)

  Construct a new `PropertyEvent`.

Parameters:
  `source` - The source of the event.
  `name` - The property name effected.
  `value` - The value of the property effected.
Throws:
  `NullArgumentException` - Name or source is `null`.

### PropertyEvent

    public PropertyEvent(Object source,
                         String name)

  Construct a new `PropertyEvent`.

Parameters:
  `source` - The source of the event.
  `name` - The property name effected.
Throws:
  `NullArgumentException` - Name or source is `null`.

Method Detail

### getPropertyName

    public final String getPropertyName()

  Get the name of the property that is effected.

  Returns:
    Property name.

### getPropertyValue

    public final String getPropertyValue()

  Get the value of the property that is effected.

  Returns:
    The value of the property that is effected or `null`.

### toString

    public String toString()

  Return a string representation of this event.

  Returns:
    A string representation of this event.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.